<?php

namespace Schaffen\Fiscal\NfeDownloader\Models;


use Illuminate\Database\Eloquent\Model;

class NFe extends Model
{
    protected $connection = 'dynamicdb';
    protected $table = "fiscal.nfe_importada";
    protected $primaryKey = "nfi_codigo";
    protected $fillable = [
        "nfi_chave_acesso",
        "nfi_valor",
        "nfi_fk_emi_codigo",
        "nfi_fk_cnx_codigo",
        "nfi_fk_aim_codigo",
        "nfi_data_hora_emissao"
    ];

    public $timestamps = false;

    public function issuer()
    {
        return $this->hasOne(Issuer::class, 'emi_codigo', 'nfi_fk_emi_codigo');
    }

    public function search()
    {
        return $this->hasOne(NFeSearch::class, 'cnx_codigo', 'nfi_fk_cnx_codigo');
    }

    public function file()
    {
        return $this->hasOne(File::class, 'aim_codigo', 'nfi_fk_aim_codigo');
    }
}
